PDA

View Full Version : Plotting Active Paper or Model Space



jason907238
2007-08-23, 01:59 PM
I have created a Sub in VBA that will plot the active layout. I used the following to plot.


ThisDrawing.SetVariable "BACKGROUNDPLOT", 0
ThisDrawing.Plot.PlotToDevice
ThisDrawing.SetVariable "BACKGROUNDPLOT", 2

I am trying to do the same in VB.NET. I have set
myDwg = Application.DocumentManager.MdiActiveDocument
but I can't seam to figure out how to plot. I have figured out how to use the publisher but I can't use this because it wll not let you start another publisher until it is finished publishing.

So... How do I PlotToDevice in VB.Net with AutoCad 2007 or 2008?

jason907238
2007-08-24, 02:06 AM
anyone?.... Please.

Jeff_M
2007-08-24, 07:19 PM
This code is in C# but you should be able to follow along with how the Author goes about it.

http://www.theswamp.org/index.php?topic=15556.msg188498#msg188498